%global commit f159b88a16be4d103c7e7beb90e07a92617980b9
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global zipcommit %(c=%{commit}; echo ${c:0:12})

Name:           jFormatString
Version:        0
Release:        %mkrel 6.21.20131227git.8
Group:          Development/Java
Summary:        Java format string compile-time checker

License:        GPLv2 with exceptions
URL:            https://code.google.com/p/j-format-string/

Source0:        http://j-format-string.googlecode.com/archive/%{commit}.zip
Source1:        https://search.maven.org/remotecontent?filepath=com/google/code/findbugs/jFormatString/2.0.2/jFormatString-2.0.2.pom

# This patch has not been sent upstream, since it is Fedora specific.
Patch0:         %{name}-build.patch

Patch1:         %{name}-java8.patch

BuildRequires:  javapackages-local

BuildRequires:  ant, java-devel, java-1.8.0-javadoc, jpackage-utils, junit
Requires:       java-headless, jpackage-utils

BuildArch:      noarch

%description
This project is derived from Sun's implementation of java.util.Formatter.  It
is designed to allow compile time checks as to whether or not a use of a
format string will be erroneous when executed at runtime.

%package javadoc
Summary:        Javadoc documentation for %{name}
Requires:       java-1.8.0-javadoc

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n j-format-string-%{zipcommit}
%patch -P 0 -p1
%patch -P 1 -p1

cp %{SOURCE1} pom.xml

# delete test code - it requires FindBugs to compile
rm -rfv src/junit

# delete JARs
rm -v lib/*

%mvn_file com.google.code.findbugs:%{name} %{name}

%build
# Build the JAR
ant jarFile

# Create the javadocs
mkdir docs
javadoc -d docs -source 1.8 -sourcepath src/java \
  -classpath build/classes \
  -link file://%{_javadocdir}/java edu.umd.cs.findbugs.formatStringChecker

%mvn_artifact pom.xml build/%{name}.jar

%install

%mvn_install -J docs

%pretrans javadoc -p <lua>
path = "%{_javadocdir}/%{name}"
st = posix.stat(path)
if st and st.type == "link" then
  os.remove(path)
end

%files -f .mfiles

%files javadoc -f .mfiles-javadoc




%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0-6.21.20131227git.8.mga10
+ Revision: 2223393
- Mageia 10 Mass Rebuild

* Fri May 24 2024 ns80 <ns80> 0-6.21.20131227git.7.mga10
+ Revision: 2066926
- rebuild for java 21

* Mon Sep 19 2022 neoclust <neoclust> 0-6.21.20131227git.6.mga9
+ Revision: 1890524
- Fix build
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Sep 11 2020 daviddavid <daviddavid> 0-6.21.20131227git.4.mga8
+ Revision: 1624333
- Enable building with JDK 11: use source/target 1.8
- Rebuilt for JDK-11
- Fix JDK Javadoc links

* Wed Feb 12 2020 umeabot <umeabot> 0-6.21.20131227git.3.mga8
+ Revision: 1501765
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0-6.21.20131227git.2.mga7
+ Revision: 1278889
- Mageia 7 Mass Rebuild

* Fri Sep 29 2017 daviddavid <daviddavid> 0-6.21.20131227git.1.mga7
+ Revision: 1161594
- add BR javapackages-local to fix build

* Wed Mar 02 2016 daviddavid <daviddavid> 0-6.21.20131227git.1.mga6
+ Revision: 983131
- First rebuild of the java stack
+ neoclust <neoclust>
- sync package jFormatString with fedora

* Tue Feb 02 2016 umeabot <umeabot> 0-6.11.20111215svn.4.mga6
+ Revision: 931127
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0-6.11.20111215svn.3.mga5
+ Revision: 744814
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0-6.11.20111215svn.2.mga5
+ Revision: 680598
- Mageia 5 Mass Rebuild

* Mon Jan 06 2014 dmorgan <dmorgan> 0-6.11.20111215svn.1.mga4
+ Revision: 565049
- Update to version shipped with FindBugs 2.0.2

* Sun Dec 29 2013 dmorgan <dmorgan> 0-5.mga4
+ Revision: 562962
- Remove old rpm macros

* Fri Oct 18 2013 umeabot <umeabot> 0-4.mga4
+ Revision: 506116
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0-3.mga3
+ Revision: 354619
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 18 2012 dmorgan <dmorgan> 0-2.mga3
+ Revision: 295955
- Fix pom file

* Thu Oct 27 2011 gil <gil> 0-1.mga2
+ Revision: 158543
- added maven2 poms

* Mon Jun 27 2011 gil <gil> 0-0.mga2
+ Revision: 114809
- imported package jFormatString


* Mon Jun 27 2011 gil <gil> 0-0.%%mkrel
- initial rpm